### Method

# Hex Document export_html

#### Declaration

    gboolean
    hex_document_export_html (
      HexDocument* doc,
      const char* html_path,
      const char* base_name,
      gint64 start,
      gint64 end,
      guint cpl,
      guint lpp,
      guint cpw
    )

#### Description

Export the `HexDocument` to HTML.

#### Parameters

`html_path`

  Type: `const char*`

  Path to the directory in which the HTML file will be saved.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`base_name`

  Type: `const char*`

  The base name of the filename to be saved, without the .html extension.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`start`

  Type: `gint64`

  Starting offset byte of the payload in the range to save.

`end`

  Type: `gint64`

  Ending offset byte of the payload in the range to save.

`cpl`

  Type: `guint`

  Columns per line.

`lpp`

  Type: `guint`

  Lines per page.

`cpw`

  Type: `guint`

  Characters per word (for grouping of nibbles).

#### Return value

Type: `gboolean`

`TRUE` if the operation was successful; `FALSE` otherwise.